Bug 1309677 - Reword recommendations for installing DNS with an IdM server
Reword recommendations for installing DNS with an IdM server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Aneta Šteflová Petrová
Namita Soman
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 08:00 EST by Aneta Šteflová Petrová
Modified: 2016-04-18 09:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-18 09:46:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aneta Šteflová Petrová 2016-02-18 08:00:36 EST
The Linux Domain Identity guide currently states that it is strongly recommended to install an IdM server with integrated DNS services. We should reword these recommendations to make it clear that the DNS server provided by IdM is not designed to be used as a general-purpose DNS server and only supports features related to IdM deployment and maintenance.
For basic usage within the IdM deployment, an IdM server with integrated DNS is recommended. However, if advanced DNS features beyond the scope of the IdM DNS server are required, users should consider installing an IdM server without DNS and using an external DNS server separate from the IdM server.

The following sections (and possibly others as well) should be updated:
* 1.2.4. Service Discovery: DNS
* 3.1. The ipa-server-install utility
* 3.2.4. Configuring DNS Services within the IdM Domain
* Chapter 17. Managing DNS (preface)
Comment 2 Aneta Šteflová Petrová 2016-02-19 09:17:16 EST
The changes referred in comment#0 have been modified.
Comment 3 Aneta Šteflová Petrová 2016-02-26 03:50:18 EST
Summary of the update:

* The description in "1.2.4. Service Discovery: DNS" has been updated to reflect the info in comment#0.

* A reference to 1.2.4. has been added to the new "Integrated or External DNS Server" subsection of "2.4.2. Host Name and DNS Configuration".

* Existing references to 1.2.4. have been slightly reworded in the following sections: "3.1. The ipa-server-install utility", "3.2.4. Configuring DNS Services within the IdM Domain", and the preface of "Chapter 17. Managing DNS".

The update has been acked by the SME, so I'm moving this BZ to VERIFIED.
Comment 5 Aneta Šteflová Petrová 2016-04-18 09:46:08 EDT
The update is available on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.